LOG2(3)

NAME
log2, log2f, log2l - base-2 logarithmic function

SYNOPSIS
#include <math.h>

double log2(double x);
float log2f(float x);
long double log2l(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

log2(), log2f(), log2l(): _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The log2() function returns the base 2 logarithm of x.

ERRORS
The log2() function can return the following error:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined (minus infinity).

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog2(3), sqrt(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.